Pamsharpness User Manual(1)

NAME
pamsharpness - measure the sharpness of a PNM/PAM image

SYNOPSIS
pamsharpness [imagefile]

DESCRIPTION

This program is part of Netpbm(1) .

pamsharpness reads a Netpbm image (PNM or PAM) and prints a message to Standard Output giving a number that tells how sharp it is.

Sharpness is a measure of how suddenly (in space) colors change in the image. pamsharpness computes the sharpness of the image as the average difference in intensity between each pixel and its 8 surrounding pixels, in each of the color components (R, G, B).

pamsharpness does not include the edges of the image, where there are not 8 pixels surrounding a pixel, in its computation.

pamsharpness assumes that the image is a PNM or PNM equivalent PAM. If it isn't, the results are not necessarily meaningful.

OPTIONS

There are no command line options defined specifically for pamsharpness, but it recognizes the options common to all programs based on libnetpbm (See
 Common Options index.html#commonoptions .)

SEE ALSO
pamsharpmap(1) , pammasksharpen(1) , pam(1) , pnm(1)

HISTORY

pamsharpness was added to Netpbm in Release 10.21 (March 2004). Bryan Henderson derived it from the program pnmsharp by B.W. van Schooten and distributed as part of the Photopnmtools package.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pamsharpness.html